package com.github.wxiaoqi.security.common.log.Impl;

import com.github.wxiaoqi.security.common.util.process.SystemConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;

@Slf4j
public class MailServiceImpl {

	@Autowired
	private JavaMailSender mailSender;

	public void sendSimpleMail(String to, String subject, String content) {
		SimpleMailMessage message = new SimpleMailMessage();
		message.setFrom(SystemConfig.EMAILADDRESS);
		message.setTo(to);
		message.setSubject(subject);
		message.setText(content);

		try {
			mailSender.send(message);
			log.info("简单邮件已经发送。");
		}catch (Exception e) {
			log.error("发送简单邮件时发生异常！", e);
		}

	}
}